=== debian/changelog ===
tp-task-openafs (0.10) wheezy; urgency=low

  * Updated Makefile to version v0.24.
  * Updated name and email of maintainer.
  * Changed section from taguspark to dsi.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 17 Jan 2014 17:25:06 +0000

tp-task-openafs (0.9) squeeze; urgency=low

  * No entry.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 18 Jun 2013 15:40:03 +0100

tp-task-openafs (0.8) updates; urgency=low

  * tp-aklog only use -524 when ThisCell is realm.tagus.ist.utl.pt, not a
    complete fix, but good enough for now.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 14 Feb 2011 16:15:10 +0000

tp-task-openafs (0.7) updates; urgency=low

  * Drafted changes on copyright for following DEP5.
  * libnss-ldap and libpam-ldap have an alternative implementation in
    squeeze, adjust depends for both of the implementations.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 13 Feb 2011 19:21:53 +0000

tp-task-openafs (0.6) updates; urgency=low

  * Updated Makefile to version 0.13
  * Renamed depends from libpam-openafs-session to libpam-afs-session

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sat, 05 Feb 2011 15:50:13 +0000

tp-task-openafs (0.5) updates; urgency=low

  * the list of afsdb on realm.tagus.ist.utl.pt changed, no path for
    upgrade yet.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 25 Sep 2009 14:38:57 +0100

tp-task-openafs (0.4) UNRELEASED; urgency=low

  * give permissions to console users

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue,  2 Oct 2007 07:04:43 +0100

tp-task-openafs (0.3) updates; urgency=low

  * created tp-task2-afs-login - for integrated login with AFS, LDAP and
    Kerberos.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 10 Apr 2007 19:34:52 +0100

tp-task-openafs (0.2) updates; urgency=low

  * added an option to change the directory with the configuration files
    tp-conf-afs-client-config
  * changed the depends to openafs-modules
  * created shell script to wrap around original aklog, that is in
    tp-aklog

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 23 Jan 2007 13:00:15 +0000

tp-task-openafs (0.1) updates; urgency=low

  * major rewrite in place
  * detects kind of Kerberos to adjust kdc_timesync as an workaround to
    Heimdal bug

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun,  8 Oct 2006 03:41:46 +0100

tp-task-openafs (1.1) unstable; urgency=low

  * rename configure script to tp-conf-openafs-config, so it can be 
    Policy compliant
  * makes a backup copy of configuration files
  * updated the DBServers of cells realm.ist.utl.pt and ist.utl.pt
  * need testing before a release
  * corrected depends on openafs-modules for kernel 2.6.8 on sarge
  * Corrected depends for aklog program.
  * corrected deppends on openafs-modules because security updates for 
    the kernels

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 16 Apr 2006 18:39:52 +0100

tp-task-openafs (1.0) unstable; urgency=low

  * Initial Release.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue,  8 Nov 2005 15:51:17 +0000
