=== debian/control ===
Source: tp-task-openafs
Section: dsi
Priority: optional
Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1


Package: tp-conf-afs-client
Architecture: all
Enhances: tp-task2-afs-heimdal-client, tp-task2-afs-mit-client,
Replaces: tp-conf-openafs
Depends: ${shlibs:Depends}, ${misc:Depends}, gawk
Description: configure openafs and kerberos for use in IST
 Configure the kerberos and the openafs to be a client of openafs in
 Instituto Superior Tecnico.  You can choose to access the files in
 Taguspark or in IST-Alameda.  You can use it even if you don't have
 an afs client installed.
 .
 Run tp-conf-openafs-config to change the default cell.  You don't
 need to have an account, but you may to talk to CIIST to get one.


Package: tp-conf-afs-login
Architecture: all
Enhances: tp-task2-afs-heimdal-login, tp-task2-afs-mit-login,
Replaces: tp-conf-openafs
Depends: ${shlibs:Depends}, ${misc:Depends}, gawk
Recommends: tp-conf-afs-client, tp-conf-libnss-ldap, tp-conf-libpam-ldap
Description: configure centralized login on Taguspark
 Configure the kerberos and the openafs to be a client of openafs in
 Instituto Superior Tecnico.  
 .
 Run tp-conf-openafs-config to change the default cell.  If don't
 need to have an account, but you may to talk to CIIST to get one.


Package: tp-task2-afs-client
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 tp-task2-afs-heimdal-client | tp-task2-afs-mit-client
Description: software to be client of openafs
 Software needed to be a client of openafs, to authenticate you need
 to choose between kerberos client from Heimdal or MIT.
 .
 You can use pre-compiled modules for Debian v3.1 Kernels or install
 openafs-modules-source to compile your own modules.
 .
 To configure the software use tp-conf-openafs-config.


Package: tp-task2-afs-login
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 tp-task2-afs-heimdal-login | tp-task2-afs-mit-login
Description: software to configure login for homedir in AFS
 Software needed for your homedir to be placed in AFS, to authenticate
 you need to choose between kerberos client from Heimdal or MIT.
 .
 You can use pre-compiled modules for Debian v3.1 Kernels or install
 openafs-modules-source to compile your own modules.
 .
 To configure the software use tp-conf-openafs-config.


Package: tp-task2-afs-heimdal-client
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients,
 openafs-client
Recommends: openafs-modules2 | openafs-modules-source,
Replaces: tp-openafs, tp-task-openafs-heimdal
Description: software to be a client of openafs and kerberos of Heimdal
 Software needed to be a cliente of openafs using Heimdal
 implementation of Kerberos 5.  
 .
 You can use pre-compiled modules for Debian v3.1 Kernels or install
 openafs-modules-source to compile your own modules.
 .
 To configure the software use tp-conf-openafs-config.


Package: tp-task2-afs-mit-client
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, krb5-user,
 openafs-client, openafs-krb5
Recommends: openafs-modules2 | openafs-modules-source, 
Replaces: tp-openafs
Description: software to be a client of openafs and kerberos of MIT
 Software needed to be a cliente of openafs using MIT
 implementation of Kerberos 5.  
 .
 You can use pre-compiled modules for Debian v3.1 Kernels or install
 openafs-modules-source to compile your own modules.
 .
 To configure the software run tp-conf-openafs-config or to change the
 defalt cell.


Package: tp-task2-afs-heimdal-login
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients,
 openafs-client, tp-conf-afs-client, tp-conf-afs-login, 
 tp-aklog,
 libnss-ldapd |  libnss-ldap, libpam-ldapd | libpam-ldap,
 libpam-heimdal, openafs-krb5, libpam-afs-session
Recommends: openafs-modules2 | openafs-modules-source, 
Replaces: tp-openafs-log, tp-task-openafs-login-heimdal
Suggests: tp-conf-afs-login
Description: login using Kerberos Heimdal, LDAP and OpenAFS
 Software needed to login using Kerberos passwords, information users
 from LDAP and home directory in OpenAFS directories.  More commonly
 named integrated login.
 .
 You can use pre-compiled modules for Debian v3.1 Kernels or install
 openafs-modules-source to compile your own modules.
 .
 Auto configure is not yet available, use this information on this
 Wiki page
 https://ciist.ist.utl.pt/ciwiki/LoginIntegradoNaDebianSargeTagus
 .
 Description of packages:
 .
 * heimdal-clients - kerberos clients from Heimdal
 .
 * openafs-client  - openafs client to access openafs file
 .
 * libnss-ldap - add support for ldap method to nsswitch.conf
 .
 * libpam-ldap - ldap module for pam
 .
 * libpam-krb5 - kerberos module for pam
 .
 * openafs-krb5 - aklog program, not really needed
 .
 * libpam-afs-session - openafs-session module from pam, needed to
   get afs tokens.


Package: tp-task2-afs-mit-login
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, krb5-user,
 openafs-client, tp-conf-afs-client, tp-conf-afs-login, 
 tp-aklog,
 libnss-ldapd |  libnss-ldap, libpam-ldapd | libpam-ldap,
 libpam-krb5, openafs-krb5, libpam-afs-session
Recommends: openafs-modules2 | openafs-modules-source, 
Replaces: tp-openafs
Description: login using MIT Kerberos, LDAP and OpenAFS
 Software needed to login using Kerberos passwords, information users
 from LDAP and home directory in OpenAFS directories.  More commonly
 named integrated login.
 .
 You can use pre-compiled modules for Debian v3.1 Kernels or install
 openafs-modules-source to compile your own modules.
 .
 Auto configure is not yet available, use this information on this
 Wiki page
 https://ciist.ist.utl.pt/ciwiki/LoginIntegradoNaDebianSargeTagus
 .
 Description of packages:
 .
 * krb5-user - kerberos clients from MIT
 .
 * openafs-client  - openafs client to access openafs file
 .
 * libnss-ldap - add support for ldap method to nsswitch.conf
 .
 * libpam-ldap - ldap module for pam
 .
 * libpam-krb5 - kerberos module for pam
 .
 * openafs-krb5 - aklog program
 .
 * libpam-afs-session - openafs-session module from pam, needed to
   get afs tokens.


Package: tp-aklog
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, openafs-krb5 (>= 1.4)
Description: personalized aklog to be used in IST
 This aklog is personalized to work arouns some limitations in the
 original aklog from openafs-krb5
 .
